Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.beans
[Java] Class DefaultPropertyReader

    java.lang.Object
      groovy.beans.DefaultPropertyReader

All Implemented Interfaces:
  PropertyReader

    public class DefaultPropertyReader
    extends java.lang.Object

Authors:
  Andres Almiray

Field Summary
`static PropertyReader` | `INSTANCE`

Method Summary
`java.lang.Object` | `read(java.lang.Object owner, java.lang.String propertyName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### INSTANCE

    public static final PropertyReader INSTANCE

Method Detail

### read

    public java.lang.Object read(java.lang.Object owner, java.lang.String propertyName)

Groovy Documentation